package com.xy.third.config;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.WxMaConfig;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.xy.collections.map.JHashMap;
import lombok.AllArgsConstructor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@AllArgsConstructor
public class WxMaConfiguration {

    private ThirdLoginConfig thirdLoginConfig;

    /**
     * 小程序
     *
     * @return
     */
    @Bean
    public WxMaService wxMaService() {
        ThirdLoginConfig.Wx wx = thirdLoginConfig.getWx();
        WxMaDefaultConfigImpl config = new WxMaDefaultConfigImpl();
        config.setAppid(wx.getAppid());
        config.setSecret(wx.getSecret());
        WxMaService wxMaService = new WxMaServiceImpl();
        wxMaService.setMultiConfigs(new JHashMap<String, WxMaConfig>().set("config", config));
        return wxMaService;
    }

}
